﻿
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTAM_ATTCONRECORD')
 CREATE TABLE T_WTAM_ATTCONRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FATTFILEVID BIGINT DEFAULT 0 NOT NULL,
FPERATTPERIODID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENDDATE DATETIME,
FSTARTDATE DATETIME,
FREVOKERID BIGINT DEFAULT 0 NOT NULL,
FREVOKETIME DATETIME,
FRECEIVERID BIGINT DEFAULT 0 NOT NULL,
FCONFIRMERID BIGINT DEFAULT 0 NOT NULL,
FCONFIRMMODE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCONFIRMTIME DATETIME,
FCONFIRMENDTIME DATETIME,
FOVERHANDLETYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCONFIRMLOCK CHAR(1) DEFAULT '0' NOT NULL,
FTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FSHOWLAST CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTAM_ATTCONPUSHRECORD')
 CREATE TABLE T_WTAM_ATTCONPUSHRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FSENDTIME DATETIME,
FSENDERID BIGINT DEFAULT 0 NOT NULL,
FATTCONRECORDID BIGINT DEFAULT 0 NOT NULL,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FATTFILEVID BIGINT DEFAULT 0 NOT NULL,
FPERATTPERIODID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FMSGTEMPLATE BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FFAILMSG VARCHAR(50) DEFAULT ' ' NOT NULL,
FRECEIVERID BIGINT DEFAULT 0 NOT NULL,
FMSGID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTAM_ATTCONFIRMBILL')
 CREATE TABLE T_WTAM_ATTCONFIRMBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FATTCONRECORDID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTAM_ATTCONBILLENTRY')
 CREATE TABLE T_WTAM_ATTCONBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FATTITEMID BIGINT DEFAULT 0 NOT NULL,
FATTITEMVALUE VARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTAM_ATTCONFIRMBILLHIS')
 CREATE TABLE T_WTAM_ATTCONFIRMBILLHIS (
FID BIGINT DEFAULT 0 NOT NULL,
FATTCONRECORDID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTAM_ATTCONBILLHISENTRY')
 CREATE TABLE T_WTAM_ATTCONBILLHISENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FATTITEMID BIGINT DEFAULT 0 NOT NULL,
FATTITEMVALUE VARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);